Bug 44738 - ext2ed SRPM needs build dependency on readline-devel
ext2ed SRPM needs build dependency on readline-devel
Product: Red Hat Linux
Classification: Retired
Component: ext2ed (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Florian La Roche
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2001-06-15 16:44 EDT by Jay Turner
Modified: 2015-01-07 18:46 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-06-21 09:05:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Glen Foster 2001-06-15 16:44:25 EDT
Description of Problem: with the 7.1 product, you cannot build the ext2ed
SRPM without having readline-devel installed.   But, if "rpm -ba
/usr/src/redhat/SPECS/ext2ed*spec" is executed, you do NOT get an error
from rpm about missing/unsatisfied build dependencies.  If you install the
readline-devel rpm, the ext2ed SRPM builds without problems.

 How Reproducible: Always

 Steps to Reproduce:
 1. rpm -e readline-devel
 2. rpm -Uvh <tree-path>/SRPMS/ext2ed*.src.rpm
 3. rpm -ba /usr/src/redhat/SPECS/ext2ed*spec
 4. rpm -Uvh <tree-path>/RedHat/RPMS/readline-devel*
 5. rpm -ba /usr/src/redhat/SPECS/ext2ed*spec

 Actual Results:
 first 3 steps result in a failure WITHOUT a build-requires error from
 next 2 steps build the SRPM without fail

 Expected Results: I would expect an rpm error message to be written to
stderr informing me the ext2ed SRPM cannot be built without installing the
readline-devel RPM.

Additional Information:
Comment 1 Florian La Roche 2001-06-26 08:54:13 EDT
fixed in release 25

Florian La Roche

Note You need to log in before you can comment on or make changes to this bug.